<Container {{did-insert this.setup}} {{did-update this.setup @value}} @value={{this.value.container}}
  @deviceSize={{@deviceSize}} class="use-highlights btn-submit-container" data-name={{@value.name}}
  data-gid={{@value.gid}} data-path="{{this.path}}.container" ...attributes>
  <View::Base::SourceRecord @isEditor={{@isEditor}} @path={{@path}} @model={{@model}} @value={{@value}}
    data-preferred-model="newsletter" @onLoad={{this.setup}}>
    <div class="d-none" data-name={{@value.name}} data-gid={{@value.gid}} data-path="{{@path}}.data.form"
      data-editor="newsletter" data-type="newsletter" {{on "props-update" this.updateFormProps}}></div>

    <TextWithOptions @deviceSize={{@deviceSize}} @options={{@value.data.label}} @isEditor={{@isEditor}} @tag="label"
      {{on "props-update" this.updateLabelProps}} data-path="{{@path}}.data.label" data-text-value="true"
      class="{{if (or this.floatingLabels (not this.showEmailInput)) "d-none"}}"
      data-name={{@value.name}} data-gid={{@value.gid}}>{{!
        }}{{this.formLabel}}{{!
    }}</TextWithOptions>

    {{#if this.showEmailInput}}
      <div class='{{if this.inputGroup "input-group"}}'>
        {{#if this.floatingLabels}}
          <div class='form-floating'>
            <Input @value={{this.email}} @type='email' class='form-control newsletter-email'
              id='{{this.elementId}}-email' placeholder='name@example.com' />

            <TextWithOptions @deviceSize={{@deviceSize}} @options={{this.label}} @isEditor={{@isEditor}} @tag="label" for='{{this.elementId}}-email'>
              {{this.formLabel}}
            </TextWithOptions>

          </div>
        {{else}}
          <Input @value={{this.email}} @type='email' class='form-control newsletter-email' id='{{this.elementId}}-email'
            placeholder='name@example.com' />
        {{/if}}

        {{#if this.inputGroup}}
          <Button @action={{this.submit}} @value={{@value.data.button}} @defaultName="Subscribe" @isEditor={{@isEditor}}
            @deviceSize={{@deviceSize}} data-path="{{@path}}.data.button" data-name="{{@value.name}} submit button"
            data-gid={{@value.gid}} data-editor="button" data-type="button" class='btn btn-newsletter-submit'
            type='button'>
            {{this.label}}
          </Button>
        {{/if}}
      </div>

      {{#unless this.inputGroup}}
        <Button @action={{this.submit}} @value={{@value.data.button}} @defaultName="Subscribe" @isEditor={{@isEditor}}
          @deviceSize={{@deviceSize}} data-path="{{@path}}.data.button" data-name="{{@value.name}} submit button"
          data-gid={{@value.gid}} data-editor="button" data-type="button" class='btn btn-newsletter-submit mt-3'
          type='button'>
          {{this.label}}
        </Button>
      {{/unless}}
    {{else}}
      <div class='thank-you-message'>{{this.formLabelSuccess}}</div>
    {{/if}}
  </View::Base::SourceRecord>
</Container>